/*************************************************************24.03.2007*/
/* utf2ps.h: conversion of UTF-8 characters to PostScript		*/
/************************************************************************/

  struct utf8 {
    char c0, c1, c2,			/* UTF-8 */
         *xml,				/* XML entity */
	 *ps;				/* PostScript */
  } t2[] = {
    {0xc2, 0xa0, 0x00, "nbsp",		" "},
    {0xc2, 0xa1, 0x00, "iexcl",		"\\241"},
    {0xc2, 0xa7, 0x00, "sect",		"\\247"},
    {0xc2, 0xa9, 0x00, "copy",		" "},
    {0xc2, 0xab, 0x00, "laquo",		"\\253"},
    {0xc2, 0xac, 0x00, "not",		" "},
    {0xc2, 0xae, 0x00, "reg",		" "},
    {0xc2, 0xb0, 0x00, "deg",		" "}, 
    {0xc2, 0xb1, 0x00, "plusmn",	" "},
    {0xc2, 0xb7, 0x00, "middot",	" "},
    {0xc2, 0xbb, 0x00, "raquo",		"\\273"},
    {0xc2, 0xbf, 0x00, "iquest",	"\\277"},
    {0xc3, 0x80, 0x00, "Agrave",	"\\356"},
    {0xc3, 0x81, 0x00, "Aacute",	"\\334"},
    {0xc3, 0x82, 0x00, "Acirc",		"A"},
    {0xc3, 0x83, 0x00, "Atilde",	"A"},
    {0xc3, 0x84, 0x00, "Auml",		"\\322"},
    {0xc3, 0x85, 0x00, "Aring",		"\\265"},
    {0xc3, 0x86, 0x00, "AElig",		"\\341"},
    {0xc3, 0x87, 0x00, "Ccedil",	"\\300"},
    {0xc3, 0x88, 0x00, "Egrave",	"\\360"},
    {0xc3, 0x89, 0x00, "Eacute",	"\\336"},
    {0xc3, 0x8a, 0x00, "Ecirc",		"E"},
    {0xc3, 0x8b, 0x00, "Euml",		"\\324"},
    {0xc3, 0x8c, 0x00, "Igrave",	"I"},
    {0xc3, 0x8d, 0x00, "Iacute",	"\\340"},
    {0xc3, 0x8e, 0x00, "Icirc",		"I"},
    {0xc3, 0x8f, 0x00, "Iuml",		"\\326"},
    {0xc3, 0x91, 0x00, "Ntilde",	"\\314"},
    {0xc3, 0x92, 0x00, "Ograve",	"O"},
    {0xc3, 0x93, 0x00, "Oacute",	"\\344"},
    {0xc3, 0x94, 0x00, "Ocirc",		"O"},
    {0xc3, 0x95, 0x00, "Otilde",	"O"},
    {0xc3, 0x96, 0x00, "Ouml",		"\\330"},
    {0xc3, 0x97, 0x00, "times",		" "},
    {0xc3, 0x98, 0x00, "Oslash",	"\\351"},
    {0xc3, 0x99, 0x00, "Ugrave",	"U"},
    {0xc3, 0x9a, 0x00, "Uacute",	"U"},
    {0xc3, 0x9b, 0x00, "Ucirc",		"U"},
    {0xc3, 0x9c, 0x00, "Uuml",		"\\332"},
    {0xc3, 0x9d, 0x00, "Yacute",	"\\354"},
    {0xc3, 0x9f, 0x00, "szlig",		"\\373"},
    {0xc3, 0xa0, 0x00, "agrave",	"\\355"},
    {0xc3, 0xa1, 0x00, "aacute",	"\\333"},
    {0xc3, 0xa2, 0x00, "acirc",		"a"},
    {0xc3, 0xa3, 0x00, "atilde",	"a"},
    {0xc3, 0xa4, 0x00, "auml",		"\\321"},
    {0xc3, 0xa5, 0x00, "aring",		"\\260"},
    {0xc3, 0xa6, 0x00, "aelig",		"\\361"},
    {0xc3, 0xa7, 0x00, "ccedil",	"\\276"},
    {0xc3, 0xa8, 0x00, "egrave",	"\\357"},
    {0xc3, 0xa9, 0x00, "eacute",	"\\335"},
    {0xc3, 0xaa, 0x00, "ecirc",		"e"},
    {0xc3, 0xab, 0x00, "euml",		"\\323"},
    {0xc3, 0xac, 0x00, "igrave",	"i"},
    {0xc3, 0xad, 0x00, "iacute",	"\\337"},
    {0xc3, 0xae, 0x00, "icirc",		"i"},
    {0xc3, 0xaf, 0x00, "iuml",		"\\325"},
    {0xc3, 0xb1, 0x00, "ntilde",	"\\311"},
    {0xc3, 0xb2, 0x00, "ograve",	"o"},
    {0xc3, 0xb3, 0x00, "oacute",	"\\342"},
    {0xc3, 0xb4, 0x00, "ocirc",		"o"},
    {0xc3, 0xb5, 0x00, "otilde",	"o"},
    {0xc3, 0xb6, 0x00, "ouml",		"\\327"},
    {0xc3, 0xb7, 0x00, "divide",	" "},
    {0xc3, 0xb8, 0x00, "oslash",	"\\371"},
    {0xc3, 0xb9, 0x00, "ugrave",	"u"},
    {0xc3, 0xba, 0x00, "uacute",	"u"},
    {0xc3, 0xbb, 0x00, "ucirc",		"u"},
    {0xc3, 0xbc, 0x00, "uuml",		"\\331"},
    {0xc3, 0xbd, 0x00, "yacute",	"\\347"},
    {0xc3, 0xbf, 0x00, "yuml",		"y"},
    {0xc4, 0x80, 0x00, "Amacr",		"A"},
    {0xc4, 0x81, 0x00, "amacr",		"a"},
    {0xc4, 0x82, 0x00, "Abreve",	"A"},
    {0xc4, 0x83, 0x00, "abreve",	"a"},
    {0xc4, 0x84, 0x00, "Acedil",	"A"},
    {0xc4, 0x85, 0x00, "acedil",	"a"},
    {0xc4, 0x86, 0x00, "Cacute",	"C"},
    {0xc4, 0x87, 0x00, "cacute",	"c"},
    {0xc4, 0x8c, 0x00, "Ccaron",	"C"},
    {0xc4, 0x8d, 0x00, "ccaron",	"c"},
    {0xc4, 0x92, 0x00, "Emacr",		"E"},
    {0xc4, 0x93, 0x00, "emacr",		"e"},
    {0xc4, 0x94, 0x00, "Ebreve",	"E"},
    {0xc4, 0x95, 0x00, "ebreve",	"e"},
    {0xc4, 0x99, 0x00, "ecedil",	"e"},
    {0xc4, 0xaa, 0x00, "Imacr",		"I"},
    {0xc4, 0xab, 0x00, "imacr",		"i"},
    {0xc4, 0xac, 0x00, "Ibreve",	"I"},
    {0xc4, 0xad, 0x00, "ibreve",	"i"},
    {0xc5, 0x81, 0x00, "Lstrok",	"\\350"},
    {0xc5, 0x82, 0x00, "lstrok",	"\\370"},
    {0xc5, 0x83, 0x00, "Nacute",	"N"},
    {0xc5, 0x84, 0x00, "nacute",	"n"},
    {0xc5, 0x8c, 0x00, "Omacr",		"O"},
    {0xc5, 0x8d, 0x00, "omacr",		"o"},
    {0xc5, 0x8e, 0x00, "Obreve",	"O"},
    {0xc5, 0x8f, 0x00, "obreve",	"o"},
    {0xc5, 0x92, 0x00, "OElig",		"\\352"},
    {0xc5, 0x93, 0x00, "oelig",		"\\372"},
    {0xc5, 0x98, 0x00, "Rcaron",	"R"},
    {0xc5, 0x99, 0x00, "rcaron",	"r"},
    {0xc5, 0xa0, 0x00, "Scaron",	"S"},
    {0xc5, 0xa1, 0x00, "scaron",	"s"},
    {0xc5, 0xa2, 0x00, "Tcedil",	"T"},
    {0xc5, 0xa3, 0x00, "tcedil",	"t"},
    {0xc5, 0xaa, 0x00, "Umacr",		"U"},
    {0xc5, 0xab, 0x00, "umacr",		"u"},
    {0xc5, 0xac, 0x00, "Ubreve",	"U"},
    {0xc5, 0xad, 0x00, "ubreve",	"u"},
    {0xc5, 0xb2, 0x00, "Ucedil",	"U"},
    {0xc5, 0xb3, 0x00, "ucedil",	"u"},
    {0xc5, 0xb6, 0x00, "Ycirc",		"Y"},
    {0xc5, 0xb7, 0x00, "ycirc",		"y"},
    {0xc5, 0xb8, 0x00, "Yuml",		"Y"},
    {0xc5, 0xbd, 0x00, "Zcaron",	"Z"},
    {0xc5, 0xbe, 0x00, "zcaron",	"z"},
    {0xc7, 0xaa, 0x00, "Ocedil",	"O"},
    {0xc7, 0xab, 0x00, "ocedil",	"o"},
    {0xc8, 0xb2, 0x00, "Ymacr",		"Y"},
    {0xc8, 0xb3, 0x00, "ymacr",		"y"},
    {0x00, 0x00, 0x00, ""		""}
  },
  t3[] = {
    {0xe2, 0x80, 0x82, "ensp",		"\\ "},
    {0xe2, 0x80, 0x93, "ndash",		"\\261"},
    {0xe2, 0x80, 0x94, "mdash",		"\\320"},
    {0xe2, 0x80, 0x9a, "lsquor",	"\\270"},
    {0xe2, 0x80, 0x9b, "lsquo",		"\\140"},
    {0xe2, 0x80, 0x9e, "ldquor",	"\\271"},
    {0xe2, 0x80, 0x9f, "ldquo",		"\\252"},
    {0xe2, 0x80, 0xa0, "dagger",	" }"},
    {0xe2, 0x80, 0xa2, "bull",		"\\267"},
    {0xe2, 0x80, 0xa6, "hellip",	"\\274"},
    {0xe2, 0x80, 0xa7, "hyphpt",	""},
    {0xe2, 0x80, 0xb2, "feet",		" "},
    {0xe2, 0x80, 0xb3, "inches",	" "},
    {0xe2, 0x80, 0xb9, "slaquo",	"\\254"},
    {0xe2, 0x80, 0xba, "sraquo",	"\\255"},
    {0xe2, 0x84, 0xa2, "trade",		" "},
    {0xe2, 0x86, 0x90, "larr",		" "},
    {0xe2, 0x86, 0x91, "uarr",		" "},
    {0xe2, 0x86, 0x92, "rarr",		" "},
    {0xe2, 0x86, 0x93, "darr",		" "},
    {0x00, 0x00, 0x00, "",		""}
  };
